﻿<div class="footer-wrapper">
    <footer>
        <div class="items">
            <div>
                <ul>
                    <ng-container *ngFor="let sm of feedbackItems; trackBy: trackByFn">
                        <li>
                            <a *ngIf="sm.field_elg_menu_link_type === 'External'" mat-button target="_blank"
                                rel="noopener" [attr.href]="[sm.absolute]">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>

                            <a *ngIf="sm.field_elg_menu_link_type === 'CMS'" mat-button
                                [routerLink]="['/', sm.relative.replace('/cms/', '')]"
                                [class.disabled]="sm.field_show_as_not_clickable === '1'">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>

                            <a *ngIf="sm.field_elg_menu_link_type === 'Angular'" mat-button
                                [routerLink]="['/',sm.relative.replace('/cms/', '')]"
                                [class.disabled]="sm.field_show_as_not_clickable === '1'">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>

                            <a *ngIf="sm.field_elg_menu_link_type === 'React'" mat-button
                                [routerLink]="['/catalogue', sm.relative.replace('/cms/', '')]"
                                [class.disabled]="sm.field_show_as_not_clickable === '1'">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>
                        </li>
                    </ng-container>
                </ul>
            </div>
            <div class="social">
                <ul>
                    <ng-container *ngFor="let sm of footItems; trackBy: trackByFn">
                        <li>
                            <a *ngIf="sm.field_elg_menu_link_type === 'External'" mat-button target="_blank"
                                rel="noopener" [attr.href]="[sm.absolute]">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>

                            <a *ngIf="sm.field_elg_menu_link_type === 'CMS'" mat-button
                                [routerLink]="['/', sm.relative.replace('/cms/', '')]"
                                [class.disabled]="sm.field_show_as_not_clickable === '1'">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>

                            <a *ngIf="sm.field_elg_menu_link_type === 'Angular'" mat-button
                                [routerLink]="['/',sm.relative.replace('/cms/', '')]"
                                [class.disabled]="sm.field_show_as_not_clickable === '1'">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>

                            <a *ngIf="sm.field_elg_menu_link_type === 'React'" mat-button
                                [routerLink]="['/catalogue', sm.relative.replace('/cms/', '')]"
                                [class.disabled]="sm.field_show_as_not_clickable === '1'">
                                <svg class="xxs">
                                    <use [attr.href]="'#'+sm.description"></use>
                                </svg>
                                <span>{{ sm.title }}</span>
                            </a>
                        </li>
                    </ng-container>
                </ul>
            </div>
        </div>
        <div class="legal">
            <div class="funding">
                <div><img src="https://s3.dbl.cloud.syseleven.net/dev-cms/2022-03/eu_flag.svg"
                        alt="European union flag">
                </div>
                <div>
                    <p>
                        The European Language Grid has received funding from the European Union’s Horizon 2020 research and innovation
                        programme under grant agreement № 825627. The European Language Equality project has received funding from the
                        European Union under grant agreement № LC-01641480 – 101018166.
                    </p>
                </div>
            </div>
            <p>&copy; {{ year }} ELG Consortium</p>
            <p><a href="" [routerLink]="['/terms-of-use']">Terms of Use</a></p>
        </div>
    </footer>
</div>
<div *ngIf="showCookieBanner" class="p-3 pt-4 d-sm-flex align-items-center cookie__wrapper">
    <div class="ml-3 cookie__content">
        ELG uses cookies for functional and analytical purposes. Please agree to our Cookie Policy. <a
            aria-label="learn more about cookies" role="button" tabindex="0" class="cc-link"
            [routerLink]="['/', 'terms-of-use']" rel="noopener noreferrer nofollow" target="_blank" rel="noopener">Learn
            more</a>
    </div>
    <a href="" fxLayoutAlign="center center" color="primary" class="mx-3" (click)="refuseCookie($event)">
        Refuse Cookies</a>
    <a mat-flat-button fxLayoutAlign="center center" color="primary" (click)="setCookie()"
        class="px-5 mx-0 mr-1 mr-md-5">
        Allow Cookies</a>
</div>